<div class="container-fluid">
	<%= _.template($('#input_constructor').html())({id:"WhileExpression", description:tr("While expression"), default_selector: "expression", disable_int:true, disable_string:true, help: {description: tr("If condition. This field can contain any JavaScript value including variables and resources."), examples:[{code:"true",description:tr("Always true.")},{code:"false",description:tr("Always false.")},{code:"[[VARIABLE]] == \"val\"",description:tr("Continues only if VARIABLE is equal to \"val\"")},{code:"[[VARIABLE]].indexOf(\"val\")<0",description:tr("Continues only if VARIABLE don't contain substring \"val\"")}]}}) %>
	<%= _.template($('#variable_constructor').html())({id:"Save", description:tr("Variable to save the cycle index"), default_variable: "CYCLE_INDEX", help: {description: tr("The variable to which the index will be written at the beginning of each cycle.")} }) %>
</div>
<div class="tooltipinternal">
	<div class="tr tooltip-paragraph-first-fold">Execute defined list of actions while some condition is true.</div>
	<div class="tr tooltip-paragraph-fold">For example, take element from list and post it to the site, then delete element and repeat all these actions while list is not empty.</div>
	<div class="tr tooltip-paragraph-fold">If you know how many times loop should be repeated, then it is better to use for loop.</div>
	<div class="tr tooltip-paragraph-fold">If you want to iterate over list elements it is better to use foreach action.</div>
	<div class="tr tooltip-paragraph-fold">Be careful, if "while expression" will always be true then you may end up with infinite loop which may be the reason of problems in your script.</div>
	<div class="tr tooltip-paragraph-fold">While expression parameter could be any JavaScript code. It may also contain variables and resources. For example, [[POST_LENGTH]] &gt; 0. Or [[LIST]].length &gt; 0.</div>
	<div class="tr tooltip-paragraph-fold">Loop may be finished with break action at any time. If you call break action this interrupts loop immediately. A common practice would be to put break action inside if.</div>
	<div class="tr tooltip-paragraph-fold">Setting "while expression" to true will make loop run infinite amount of times, and this is necessary to finish it with break action.</div>
	<div class="tr tooltip-paragraph-fold">There is a special variable called [[CYCLE_INDEX]] available inside while loop and it always contains current iteration index and always have number type.</div>
	<div class="tr tooltip-paragraph-last-fold">Summarizing all the above, when BAS encounters while loop it checks condition, if it's true execute loop body then checks condition again and so on. It also updates [[CYCLE_INDEX]] on each iteration.</div>
</div>
<%= _.template($('#back').html())({action:"add", wiki:"is_it_possible_to_use_loops", use_timeout:true, visible:false}) %>